org.apache.maven.scm.command.unlock

## Class AbstractUnlockCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.unlock.AbstractUnlockCommand

All Implemented Interfaces:
  Command

    public abstract class AbstractUnlockCommand
    extends AbstractCommand

Version:
  $Id: AbstractUnlockCommand.java 686197 2008-08-15 12:13:29Z vsiveton $
Author:
  Emmanuel Venisse , Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractUnlockCommand()`

### Method Summary

Methods
`ScmResult` `executeCommand(ScmProviderRepository repository, File workingDirectory, CommandParameters parameters)`
`protected abstract ScmResult` `executeUnlockCommand(ScmProviderRepository repository, File workingDirectory)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, executeCommand, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractUnlockCommand

    public AbstractUnlockCommand()

### Method Detail

#### executeUnlockCommand

    protected abstract ScmResult executeUnlockCommand(ScmProviderRepository repository,
                                 File workingDirectory)
                                               throws ScmException

Throws:
  `ScmException`

#### executeCommand

    public ScmResult executeCommand(ScmProviderRepository repository,
                           File workingDirectory,
                           CommandParameters parameters)
                             throws ScmException

Throws:
  `ScmException`